# form_requestname 3x 2024-12-28 ncurses 6.6 Library calls

    form_requestname(3x)             Library calls            form_requestname(3x)

## NAME

           form_request_by_name, form_request_name - handle printable form request
           names

## SYNOPSIS

           #include <form.h>

           const char *form_request_name(int request);
           int form_request_by_name(const char *name);

## DESCRIPTION

           The  function  form_request_name  returns  the printable name of a form
           request code.  The function form_request_by_name searches in the  name-
           table  for  a request with the given name and returns its request code.
           Otherwise E_NO_MATCH is returned.

## RETURN VALUE

           form_request_name  returns  NULL   on   error   and   sets   errno   to
           E_BAD_ARGUMENT.

           form_request_by_name  returns  E_NO_MATCH  on  error.   It does not set
           errno.

## PORTABILITY

           These routines are specific to ncurses.  They  were  not  supported  on
           Version 7, BSD or System V implementations.  It is recommended that any
           code depending on them be conditioned using NCURSES_VERSION.

## AUTHORS

           Juergen Pfeifer.  Manual pages and adaptation for new curses by Eric S.
           Raymond.

## SEE ALSO

           curses(3x), form(3x)

    ncurses 6.6                       2024-12-28              form_requestname(3x)